<template>
  <div class="estrutura">
    <div class="estrutura_header">
      <div class="estrutura_titulo"> {{ codigo }} - {{ nome }}</div>
      <div class="estrutura_header_descricao">
        <span class="estrutura_header_descricao_titulo"> Descrição: </span>
        {{ descricao }}
      </div>
    </div>

    <estrutura-materias
      :titulo="`Os pré-requesitos de ${codigo} são:`"
      :materias="prParent"
    />

    <estrutura-materias
      :titulo="`${codigo} é pré-requesito de:`"
      :materias="prChild"
    />

  </div>
</template>

<script>
import EstruturaMaterias from '@/components/EstruturaMaterias.vue';

export default {
  props: ['codigo'],

  components: {
    EstruturaMaterias
  },

  data() {
    return {
      nome: '',
      descricao: '',
      prParent: ['MAC0101', 'MAC0102'],
      prChild: ['MAC0121', 'MAC0210', 'MAC0219']
    }
  },

  async mounted() {
    const response = await this.$axios.$get(`/disciplinas?codigo_disciplina=eq.${this.codigo}`);
    this.nome = response.nome;
    this.ementa = response.ementa;

    this.prParent = await this.$axios.$post(`/rpc/pre_requisitos_pais`, {
      cdg_disciplina: this.codigo
    });

     this.prChild = await this.$axios.$post(`/rpc/pre_requisitos_filhos`, {
      cdg_disciplina: this.codigo
    });
  }
}
</script>

<style lang="scss">
.estrutura {
  background: $medium-color;

  height: 100%;
  align-self: stretch;

  display: flex;
  flex-flow: column nowrap;

  padding: 1em;
}

.estrutura_header {
  background: $light-color;
  border-radius: 0.5em;

  padding: 1em;
  box-shadow: 0.25em 0.25em rgba(0, 0, 0, 0.1);

  margin-bottom: 1em;
}

.estrutura_titulo {
  color: $primary-color;
  font-weight: bold;
  font-size: 1.5em;
  margin-bottom: 0.5rem;
}

.estrutura_header_descricao_titulo {
  font-weight: bold;
}

.estrutura_header_descricao {
  text-align: justify;
}

</style>

